<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>AsyncAwait</title>
    <style>
        *{box-sizing: border-box}
    </style>
</head>
<body>
    <p></p>
    <script>
        const uri1 = "./A.txt"
        const uri2 = "./B.txt"
        
        const fetchData = async () => 
        {
            const responses = await Promise.all([fetch(uri1), fetch(uri2)])
            document.querySelector('p').innerHTML = concatlinewise(await Promise.all([responses[0].text(), responses[1].text()]));
        }

        const concatlinewise = (text) =>
        {
            const firstArr = text[0].split(/\r\n|\n/);
            const secondArr = text[1].split(/\r\n|\n/);

            const iterations = Math.max(firstArr.length, secondArr.length);

            var result = "";
            for(i = 0; i < iterations; i++)
            {
                if(i < firstArr.length)
                    result+= firstArr[i] + " ";
                if(i < secondArr.length)
                    result+= secondArr[i];
                result += "<br>";
            }
            return result;
        }

        fetchData();
    </script>
</body>
</html>